#
# spec file for package semi-xemacs
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           semi-xemacs
BuildRequires:  compface
BuildRequires:  flim-xemacs
BuildRequires:  krb5
BuildRequires:  libpng-devel
BuildRequires:  libtiff-devel
BuildRequires:  openldap2-devel
BuildRequires:  xorg-x11-devel
Requires:       xemacs
Version:        1.14.6
Release:        1.14
Url:            http://git.chise.org/elisp/semi/
Source0:        semi-%{version}.tar.bz2
Patch0:         autoloads.patch
Patch1:         mime-hide-buttons-in-reply.diff
Summary:        library to provide MIME feature for XEmacs
License:        GPL-2.0+
Group:          Productivity/Editors/Emacs
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
SEMI is a library to provide MIME feature for XEmacs.  MIME is a
proposed internet standard for including content and headers other than
(ASCII) plain text in messages

%prep
%setup -q -n semi-%{version}
%patch0 -p1
%patch1 -p1
# necessary to generate the auto-autoloads.el file:
touch *.el

%build
%define xemacs_package_dir /usr/share/xemacs/site-packages/
make package PACKAGEDIR=%{xemacs_package_dir}

%install
make install-package PACKAGEDIR=$RPM_BUILD_ROOT%{xemacs_package_dir}

%files 
%defattr(-,root,root)
%doc NEWS README* ChangeLog SEMI* TODO VERSION
%dir %{xemacs_package_dir}/
%{xemacs_package_dir}/*

%changelog
* Tue Jan 28 2014 tiwai@suse.de
- reformat spec file
- mime-hide-buttons-in-reply.diff:
  Add mime-hide-buttons-in-reply custom variable
* Tue Dec  4 2007 mfabian@suse.de
- remove openldap2 from BuildRequires.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed May 18 2005 mfabian@suse.de
- fix build with XEmacs 21.5.20 (function 'batch-update-directory'
  has disappeared in XEmacs 21.5.20).
* Mon Jan  3 2005 mfabian@suse.de
- update to 1.14.6.
- fix build with XEmacs 21.5.18 (the variable
  'generated-autoload-file' apparently needs to be set otherwise
  XEmacs does not write ./auto-autoloads.el but write
  /usr/share/xemacs/21.5.18/lisp/auto-autoloads.el instead
  which is not writable when not building as root and which is
  probably the wrong place to write the semi autoloads anyway.
* Mon Feb 23 2004 hmacht@suse.de
- building as non-root
* Wed Sep 17 2003 mfabian@suse.de
- Bugzilla #27795: security fix for creating temporary files.
* Sat Aug 23 2003 mfabian@suse.de
- update to version 1.14.5.
* Fri Aug 22 2003 mfabian@suse.de
- add xemacs-packagages and xemacs-packages-info to
  "# neededforbuild".
* Fri Jun 13 2003 mfabian@suse.de
- add %%dir %%{xemacs_package_dir}/ to file list
* Thu Mar  6 2003 ro@suse.de
- removed cyrus-sasl from neededforbuild
* Wed Nov 13 2002 ro@suse.de
- use x-devel-packages
* Mon Aug 12 2002 ro@suse.de
- added canna-libs to neededforbuild
* Sun Aug 11 2002 mfabian@suse.de
- update to version 1.14.4
* Fri Feb  1 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Fri Aug 10 2001 mfabian@suse.de
- update to version 1.14.3
* Mon May  7 2001 mfabian@suse.de
- bzip2 source
* Tue Mar 27 2001 mfabian@suse.de
- added flim-xemacs to "# neededforbuild"
* Sat Mar 24 2001 mfabian@suse.de
- new package: semi-xemacs, version 1.13.7
